# Interface FilterConfig

Run input through image filters before inference

- available only in Browser environments
- image filters run with near-zero latency as they are executed on the GPU using WebGL

#### Hierarchy

- FilterConfig

- Defined in src/config.ts:168

#####
Index

### Properties

autoBrightness
blur
brightness
contrast
enabled
equalization
flip
height
hue
kodachrome
negative
pixelate
polaroid
return
saturation
sepia
sharpness
technicolor
vintage
width

## Properties

### autoBrightness

autoBrightness: boolean

apply auto-brighness

- Defined in src/config.ts:192

### blur

blur: number

range: 0 (no blur) to N (blur radius in pixels)

- Defined in src/config.ts:200

### brightness

brightness: number

range: -1 (darken) to 1 (lighten)

- Defined in src/config.ts:194

### contrast

contrast: number

range: -1 (reduce contrast) to 1 (increase contrast)

- Defined in src/config.ts:196

### enabled

enabled: boolean

are image filters enabled?

- Defined in src/config.ts:170

### equalization

equalization: boolean

perform image histogram equalization

- equalization is performed on input as a whole and detected face before its passed for further analysis

- Defined in src/config.ts:174

### flip

flip: boolean

flip input as mirror image

- Defined in src/config.ts:190

### height

height: number

resize input height

- if both width and height are set to 0, there is no resizing
- if just one is set, second one is scaled automatically
- if both are set, values are used as-is

- Defined in src/config.ts:186

### hue

hue: number

range: 0 (no change) to 360 (hue rotation in degrees)

- Defined in src/config.ts:204

### kodachrome

kodachrome: boolean

image kodachrome colors

- Defined in src/config.ts:212

### negative

negative: boolean

image negative

- Defined in src/config.ts:206

### pixelate

pixelate: number

range: 0 (no pixelate) to N (number of pixels to pixelate)

- Defined in src/config.ts:218

### polaroid

polaroid: boolean

image polaroid camera effect

- Defined in src/config.ts:216

### return

return: boolean

return processed canvas imagedata in result

- Defined in src/config.ts:188

### saturation

saturation: number

range: -1 (reduce saturation) to 1 (increase saturation)

- Defined in src/config.ts:202

### sepia

sepia: boolean

image sepia colors

- Defined in src/config.ts:208

### sharpness

sharpness: number

range: 0 (no sharpening) to 1 (maximum sharpening)

- Defined in src/config.ts:198

### technicolor

technicolor: boolean

image technicolor colors

- Defined in src/config.ts:214

### vintage

vintage: boolean

image vintage colors

- Defined in src/config.ts:210

### width

width: number

resize input width

- if both width and height are set to 0, there is no resizing
- if just one is set, second one is scaled automatically
- if both are set, values are used as-is

- Defined in src/config.ts:180